I'm being told by a software vendor that none of the major software vendors support SP7. BackupExec, Veritas and eVault. Is this true? How do I battle this?

I have a server running eVault version 5.04 or 5.05 with St. Bernard OFM and it broke when SP7 was applied. The vendor suggested comn65sp7. I applied it, but it doesn't seem to have changed anything.